For a complete page index, fetch https://developer.close.com/llms.txt

# Update Blocked Phone Number settings

PUT https://api.close.com/api/v1/blocked_phone_number/settings/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/blocked-phone-numbers/update-settings

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /blocked_phone_number/settings/:
    put:
      operationId: update-settings
      summary: Update Blocked Phone Number settings
      tags:
        - subpackage_blockedPhoneNumbers
      parameters:
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlockedPhoneNumberSettings'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBlockedPhoneNumberSettings'
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    UpdateBlockedPhoneNumberSettings:
      type: object
      properties:
        reject_anonymous_inbound_calls:
          type: boolean
      required:
        - reject_anonymous_inbound_calls
      title: UpdateBlockedPhoneNumberSettings
    BlockedPhoneNumberSettings:
      type: object
      properties:
        reject_anonymous_inbound_calls:
          type: boolean
      required:
        - reject_anonymous_inbound_calls
      title: BlockedPhoneNumberSettings
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python blocked_phone_numbers_updateSettings_example
import requests

url = "https://api.close.com/api/v1/blocked_phone_number/settings/"

payload = { "reject_anonymous_inbound_calls": True }
headers = {
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript blocked_phone_numbers_updateSettings_example
const url = 'https://api.close.com/api/v1/blocked_phone_number/settings/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'PUT',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"reject_anonymous_inbound_calls":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blocked_phone_numbers_updateSettings_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/blocked_phone_number/settings/"

	payload := strings.NewReader("{\n  \"reject_anonymous_inbound_calls\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blocked_phone_numbers_updateSettings_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/blocked_phone_number/settings/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reject_anonymous_inbound_calls\": true\n}"

response = http.request(request)
puts response.read_body
```

```java blocked_phone_numbers_updateSettings_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.close.com/api/v1/blocked_phone_number/settings/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"reject_anonymous_inbound_calls\": true\n}")
  .asString();
```

```php blocked_phone_numbers_updateSettings_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.close.com/api/v1/blocked_phone_number/settings/', [
  'body' => '{
  "reject_anonymous_inbound_calls": true
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp blocked_phone_numbers_updateSettings_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/blocked_phone_number/settings/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.PUT);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reject_anonymous_inbound_calls\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```